The screen saver is interrupting me while watching Netflix

Bug #1415265 reported by Dražen Lučanin on 2015-01-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unity-settings-daemon (Ubuntu)
Medium
Marco Trevisan (Treviño)
Xenial
Medium
Unassigned

Bug Description

I am watching movies in Netflix in Google Chrome and the screen saver is activated. I have to manually move my mouse to deactivate it. Disabling the screen saver is not an option for me, as I don't want to waste electricity when I'm not watching movies.

Expected behaviour - Ubuntu should disable the screen saver while I'm watching movies.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: ubuntu-desktop 1.325
ProcVersionSignature: Ubuntu 3.13.0-36.63-generic 3.13.11.6
Uname: Linux 3.13.0-36-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: amd64
CurrentDesktop: Unity
Date: Wed Jan 28 01:30:15 2015
InstallationDate: Installed on 2013-10-27 (457 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
SourcePackage: ubuntu-meta
UpgradeStatus: Upgraded to trusty on 2014-09-28 (121 days ago)

Related branches

Dražen Lučanin (kermit666) wrote :
affects: ubuntu-meta (Ubuntu) → unity-settings-daemon (Ubuntu)
Changed in unity-settings-daemon (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 15.04.1+16.10.20160613-0ubuntu1

---------------
unity-settings-daemon (15.04.1+16.10.20160613-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * PowerManager: connect to keyboard BrightnessChanged signal to update
    the cached current value properly (LP: #1510344)
  * GsdPowerManager: don't cache kbd backlight current value (LP:
    #1583861)
  * common: backport g-s-d commits for having single shared dbus proxies
  * ScreensaverProxy: redirect supported calls to gnome screensaver APIs
    (LP: #1415265, #1584161)

  [ Robert Ancell ]
  * Correctly check value of XDG_CURRENT_DESKTOP.
  * Remove code for disabling plugin under GNOME Shell - they don't use
    u-s-d.
  * Drop print notifications - not used under Unity.

  [ Sebastien Bacher ]
  * power: '0' keyboard backlight is a valid value (LP: #1510344)
  * Don't hit an xerror when a device is removed while being configured
    (LP: #1503758)
  * wacom: don't segfault when a device is removed while being
    configured. (LP: #1439427)
  * power: fix crasher when the plugin is unloaded (LP: #1567116)
  * power: Add sound notification on power plug/unplug

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Mon, 13 Jun 2016 11:31:26 +0000

Changed in unity-settings-daemon (Ubuntu):
status: In Progress → Fix Released

Hello Dražen, or anyone else affected,

Accepted unity-settings-daemon into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity-settings-daemon/15.04.1+16.04.20160701-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-settings-daemon (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Changed in unity-settings-daemon (Ubuntu Xenial):
importance: Undecided → Medium
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 15.04.1+16.04.20160701-0ubuntu1

---------------
unity-settings-daemon (15.04.1+16.04.20160701-0ubuntu1) xenial; urgency=medium

  [ Robert Ancell ]
  * Correctly check value of XDG_CURRENT_DESKTOP.

  [ Marco Trevisan (Treviño) ]
  * PowerManager: connect to keyboard BrightnessChanged signal to update
    the cached current value properly (LP: #1510344)
  * GsdPowerManager: don't cache kbd backlight current value (LP:
    #1583861)
  * common: backport g-s-d commits for having single shared dbus proxies
  * ScreensaverProxy: redirect supported calls to gnome screensaver APIs
    (LP: #1415265, LP: #1584161)

  [ Sebastien Bacher ]
  * Don't hit an xerror when a device is removed while being configured
    (LP: #1503758)
  * wacom: don't segfault when a device is removed while being
    configured. (LP: #1439427)

  [ Marco Trevisan (Treviño) ]
  * GsdPowerManager: use proper return value for upower_kbd_toggle
    wherever we use it (LP: #1592816)

  [ Kai-Heng Feng ]
  * SettingsManager: Queue up signals before getting D-Bus connection.
    (LP: #1571640)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Fri, 01 Jul 2016 13:28:54 +0000

Changed in unity-settings-daemon (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity-settings-daemon has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers